Package weka.core.expressionlanguage.parser

# Class Scanner

java.lang.Object
weka.core.expressionlanguage.parser.Scanner

All Implemented Interfaces:
  `java_cup.runtime.Scanner`

public class Scanner extends Object implements java_cup.runtime.Scanner
A lexical scanner for an expression language. It emerged as a superset of the weka.core.mathematicalexpression package, the weka.filers.unsupervised.instance.subsetbyexpression package and the weka.core.AttributeExpression class. Warning: This file (Scanner.java) has been auto generated by jflex.

Version:
  $Revision: 1000 $
Author:
  Benjamin Weber ( benweber at student dot ethz dot ch )

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STRING1`
  `static final int`
  `STRING2`
  `static final int`
  `YYEOF`
  This character denotes the end of file.
  `static final int`
  `YYINITIAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scanner(Reader in)`
  Creates a new scanner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `java_cup.runtime.Symbol`
  `next_token()`
  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
  `final boolean`
  `yyatEOF()`
  Returns whether the scanner has reached the end of the reader it reads from.
  `final void`
  `yybegin(int newState)`
  Enters a new lexical state.
  `final char`
  `yycharat(int position)`
  Returns the character at the given position from the matched text.
  `final void`
  `yyclose()`
  Closes the input reader.
  `final int`
  `yylength()`
  How many characters were matched.
  `void`
  `yypushback(int number)`
  Pushes the specified amount of characters back into the input stream.
  `final void`
  `yyreset(Reader reader)`
  Resets the scanner to read from a new input stream.
  `final int`
  `yystate()`
  Returns the current lexical state.
  `final String`
  `yytext()`
  Returns the text matched by the current regular expression.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### YYEOF

    public static final int YYEOF
    This character denotes the end of file.
    See Also:
      - Constant Field Values

  - ### YYINITIAL

    public static final int YYINITIAL
    See Also:
      - Constant Field Values

  - ### STRING1

    public static final int STRING1
    See Also:
      - Constant Field Values

  - ### STRING2

    public static final int STRING2
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Scanner

    public Scanner(Reader in)
    Creates a new scanner
    Parameters:
      `in` - the java.io.Reader to read input from.

- ## Method Details

  - ### yyclose

    public final void yyclose() throws IOException
    Closes the input reader.
    Throws:
      `IOException` - if the reader could not be closed.

  - ### yyreset

    public final void yyreset(Reader reader)
    Resets the scanner to read from a new input stream.

    Does not close the old reader.

    All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.

    Internal scan buffer is resized down to its initial length, if it has grown.

    Parameters:
      `reader` - The new input stream.

  - ### yyatEOF

    public final boolean yyatEOF()
    Returns whether the scanner has reached the end of the reader it reads from.
    Returns:
      whether the scanner has reached EOF.

  - ### yystate

    public final int yystate()
    Returns the current lexical state.
    Returns:
      the current lexical state.

  - ### yybegin

    public final void yybegin(int newState)
    Enters a new lexical state.
    Parameters:
      `newState` - the new lexical state

  - ### yytext

    public final String yytext()
    Returns the text matched by the current regular expression.
    Returns:
      the matched text.

  - ### yycharat

    public final char yycharat(int position)
    Returns the character at the given position from the matched text.

    It is equivalent to `yytext().charAt(pos)`, but faster.

    Parameters:
      `position` - the position of the character to fetch. A value from 0 to `yylength()-1`.
    Returns:
      the character at `position`.

  - ### yylength

    public final int yylength()
    How many characters were matched.
    Returns:
      the length of the matched text region.

  - ### yypushback

    public void yypushback(int number) throws SyntaxException
    Pushes the specified amount of characters back into the input stream.

    They will be read again by then next call of the scanning method.

    Parameters:
      `number` - the number of characters to be read again. This number must not be greater than `yylength()`.
    Throws:
      `SyntaxException`

  - ### next_token

    public java_cup.runtime.Symbol next_token() throws IOException, SyntaxException
    Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
    Specified by:
      `next_token` in interface `java_cup.runtime.Scanner`
    Returns:
      the next token.
    Throws:
      `IOException` - if any I/O-Error occurs.
      `SyntaxException`